Bug 316401 - link problems in bash info
link problems in bash info
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 23:17 EDT by Jerry James
Modified: 2014-01-12 19:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:34:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2007-10-02 23:17:54 EDT
Description of problem:
The bash info manual has a number of links that aren't quite right.  Here are
the ones I have hit so far:
1) 3.1.1 Shell Operation, #5 on the list has a reference to Redirections, but
actually takes you to a spot low on the Redirections page.
2) 3.1.2 Quoting, has a link named "History Interaction" which should actually
be named "History Expansion".
3) 3.1.3 Comments, has a link named "Bash Builtins" which takes you to another
spot that has a link named "Bash Builtins" rather than to section 4.2.
4) Pressing "n" from Section 7 takes you to Section 9.  Pressing "n" from
Section 9 takes you to Section 8.  Pressing "n" from Section 8 takes you to
Section 10.

Version-Release number of selected component (if applicable):
bash-3.2-9.fc7

How reproducible:
Always

Steps to Reproduce:
1. Attempt to follow the links identified above
  
Actual results:
The links have an unexpected name or unexpected target.

Expected results:
The links take you where the names implies they will go.

Additional info:
Comment 1 Tomas Janousek 2007-11-06 08:25:20 EST
1) unable to reproduce using info/pinfo
2) that's the name of the node in readline's info, maybe that's intended
3) unable to reproduce using pinfo, the texi source seems ok, probably an info
bug (adding vcrhonek to Cc)
4) the order of items in main menu differs from the order of sections in the
texinfo file, possibly intended
Comment 2 Jerry James 2007-12-19 23:31:41 EST
I tried again today.  I can no longer reproduce (1) or (2).  (3) is triggered
with info, but works correctly with pinfo, so you are probably right about that
being an info bug.  I doubt (4) was intended, but I should probably take that up
with upstream.  Thanks!
Comment 3 Bug Zapper 2008-05-14 10:36:28 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:34:12 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.